rust-sudo-rs (0.2.13-0ubuntu2) stonking; urgency=medium

  * d/tests: Add test suit from sudo.ws and change expected outputs
    to match sudo-rs output formats.

 -- Varun Varma <varun.varma@canonical.com>  Wed, 01 Apr 2026 09:56:32 -0400

rust-sudo-rs (0.2.13-0ubuntu1) resolute; urgency=medium

  * New upstream version (LP: #2143916)
  * Fixes:
    - Merge from upstream "Add error messages on wildcards and accept a 'final'
      wildcard #1463" (LP: #2143125)
    - sudo-rs does not show the entire version string on Ubuntu (LP: #2142449)
  * Drop patches:
    - enable-pwfeedback-by-default.patch: Upstream enabled pwfeedback by
      default in 0.2.13.
    - correct-backspace-for-multibyte-characters.patch: Upstream fixed
      backspace.
  * Refresh patches:
    - disable-broken-tests.patch
  * New patches:
    - fix-toggle-pwfeedback-tab.patch: Add a patch to fix toggling pwfeedback
      with the TAB key, thanks Marc Schoolderman.
  * Skip tests:
    - traverse_secure_open_negative

 -- Simon Johnsson <simon.johnsson@canonical.com>  Wed, 11 Mar 2026 14:27:00 +0100

rust-sudo-rs (0.2.12-0ubuntu3) resolute; urgency=medium

  * Disable cargo-auditable on i386

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Tue, 24 Mar 2026 11:58:04 +0100

rust-sudo-rs (0.2.12-0ubuntu2) resolute; urgency=medium

  * Add cargo-auditable metadata (LP: #2145317)

 -- Petrichor Park <petrichor.park@canonical.com>  Fri, 20 Mar 2026 09:15:48 -0500

rust-sudo-rs (0.2.12-0ubuntu1) resolute; urgency=medium

  * New upstream version (LP: #2141927)
  * Fixes:
    - Cockpit cannot escalate privileges with sudo-rs [--askpass unsupported]
      (LP: #2122048)
    - wrong /dev/pts owner for login shell (and $HOME) (LP: #2131153)
    - The visudo command fails to read files passed via stdin (LP: #2136942)
    - renable test `test_build_run_context` (LP: #2120544)
  * New patches:
    - enable-pwfeedback-by-default.patch: Cherry-pick enable pwfeedback by
      default, thanks Tim Hutt.
    - correct-backspace-for-multibyte-characters.patch: Cherry-pick correct
      backspace for multibyte characters, thanks Marc Schoolderman.
  * Changes:
    - d/control: Add python3:any as dependency for apport package hook.
    - d/sudo-rs.manpages: Sort entry order alphabetically.

 -- Simon Johnsson <simon.johnsson@canonical.com>  Mon, 16 Feb 2026 14:24:39 +0100

rust-sudo-rs (0.2.10-1ubuntu2) resolute; urgency=medium

  * Replace dependency sudo with sudo-common (LP: #2113927)
  * Add Apport package hook (LP: #2129168)

 -- Simon Johnsson <simon.johnsson@canonical.com>  Fri, 17 Oct 2025 17:15:13 +0200

rust-sudo-rs (0.2.10-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130702). Remaining changes:
    - Add Breaks for sudo and sudo-ldap
    - Add depends on sudo (>= 1.9.16p2-3ubuntu2~)
    - Add Recommends libapparmor1
    - Add sudo alternatives
    - Add vendored dependencies for 0.2.10
    - Enable feature apparmor
    - Move test command to script in debian/tests
    - Remove librust-sudo-rs-dev
    - Remove irrelevant patches
      + d/p/disable-test-timeout.diff: Debian specific since 0.2.5.
      + d/p/drop-unused-features.patch: Features used in Ubuntu.
    - Set setuid bit after dh_fixperms
    - Skip pandoc on i386
    - Skip test_build_run_context test_traverse_secure_open_positive
    - Update copyright information
  * Dropped delta:
    - d/p/post_028/: Containing patches fixed in 0.2.10

 -- Simon Johnsson <simon.johnsson@canonical.com>  Tue, 11 Nov 2025 17:46:16 +0100

rust-sudo-rs (0.2.10-1) unstable; urgency=high

  * Team upload.
  * Package sudo-rs 0.2.10 from crates.io using debcargo 2.7.11
    - Ensure (partially) input passwords are not printed if killed during
      password prompt (Fixes: GHSA-q428-6v73-fc4q)
    - Ensure `Defaults targetpw` and `Defaults rootpw` are taken into account
      for timestamp files (Fixes: GHSA-c978-wq47-pvvw)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 10 Nov 2025 14:16:02 +0100

rust-sudo-rs (0.2.9-1) unstable; urgency=medium

  * Team upload.
  * drop unneeded dev-related features
  * enable pam-login feature
  * enable sudoedit feature
  * make `su` binary setuid in postinst (Closes: #1108015)
  * Package sudo-rs 0.2.9 from crates.io using debcargo 2.7.11
    - Bump Standards-Version to 4.7.2
    - Update d/watch to uscan v5
    - Drop default RRR³ "no" value
    - Drop M-A "allowed"

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 31 Oct 2025 21:35:49 +0100

rust-sudo-rs (0.2.8-1ubuntu5.1) questing; urgency=medium

  * SRU: fix escaped equals in sudoers file (LP: #2127080)

 -- Simon Johnsson <simon.johnsson@canonical.com>  Mon, 13 Oct 2025 10:34:08 +0200

rust-sudo-rs (0.2.8-1ubuntu5) questing; urgency=medium

  * set setuid bit after dh_fixperms (LP: #2125731)
  * fix missing set_perms in postinst

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Thu, 02 Oct 2025 12:08:08 +0200

rust-sudo-rs (0.2.8-1ubuntu4) questing; urgency=medium

  * Pick post 0.2.8 bug fixes from upstream:
    - d/p/post_028/allow_equals_incommands.patch (LP: #2123859)
    - d/p/post_028/fix_race_between_parent_and_monitor_in_use_pty.patch (LP: #2121743)
    - d/p/post_028/forbid_comma_in_envvar.patch
  * fix man sudoers alternatives target (LP: #2125483)

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Wed, 24 Sep 2025 11:26:29 +0200

rust-sudo-rs (0.2.8-1ubuntu3) questing; urgency=medium

  * Pick post 0.2.8 patches from git:
    - d/p/post_028/fix_version_number_in_sudoer.patch
    - d/p/post_028/remove_documentation_for_the_ignored_flags.patch
    - d/p/post_028/some_corrections_to_canonicalization_test.patch
    - d/p/post_028/remove_unhandled_exception.patch
    - d/p/post_028/process_format_flags_for_sudo_prompt.patch
    - d/p/post_028/put_sudo_parent_process_in_background_if_stdout_is_a_pipe.patch (LP: #2121830)
  * set suid bit for su (LP: #2121399)

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Wed, 03 Sep 2025 10:35:30 +0200

rust-sudo-rs (0.2.8-1ubuntu2) questing; urgency=medium

  * skip test test_traverse_secure_open_positive (LP: #2120989)
  * add alternatives for sudoers man

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Tue, 19 Aug 2025 22:11:38 +0200

rust-sudo-rs (0.2.8-1ubuntu1) questing; urgency=medium

  * Package sudo-rs 0.2.8 from crates.io using debcargo 2.7.8 (LP: #2119669)
    - Update copyright information
  * Add depends on sudo (>= 1.9.16p2-1ubuntu2~)
  * Enable features pam-login, apparmor, sudoedit
  * Add sudoedit to alternatives
  * Recommend libapparmor1
  * Vendor dependencies for 0.2.8
  * Drop all patches
  * skip test test_build_run_context

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Mon, 11 Aug 2025 11:25:52 +0200

rust-sudo-rs (0.2.5-5ubuntu3) questing; urgency=medium

  * Remove package librust-sudo-rs-dev (LP: #2115785)
  * Run test suite with default build flags as autopkgtest
  * Use vendored dependencies for autopkgtest

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Wed, 02 Jul 2025 10:40:47 +0000

rust-sudo-rs (0.2.5-5ubuntu2) questing; urgency=medium

  * Vendor dependencies (LP: #2114733)
    - debian/rules:
      + Add vendoring rules
    - debian/control:
      + Add XS-Vendored-Sources-Rust
  * Add build time tests (LP: #2113928)
  * Skip pandoc on i386 (LP: #2114728)

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Mon, 16 Jun 2025 15:50:00 +0200

rust-sudo-rs (0.2.5-5ubuntu1) questing; urgency=medium

  * set sudo-rs as sudo alternative (LP: #2111423)
    - add d/sudo-rs.alternatives for update-alternatives run in postint

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Tue, 20 May 2025 17:58:31 +0200

rust-sudo-rs (0.2.5-5) unstable; urgency=medium

  * Package sudo-rs 0.2.5 from crates.io using debcargo 2.7.8
  * Fix the CVE: CVE-2025-46717 and CVE-2025-46718

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 11 May 2025 09:10:37 +0200

rust-sudo-rs (0.2.5-4) unstable; urgency=medium

  * Team upload
  * Package sudo-rs 0.2.5 from crates.io using debcargo 2.7.8
  * Cherry-pick patch to fix autopkgtest failures on 32-bit architectures
    (Closes: #1103275)
  * Add #DEBHELPER# to prerm script

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 07:09:59 -0400

rust-sudo-rs (0.2.5-3) unstable; urgency=medium

  * Team upload.
  * Package sudo-rs 0.2.5 from crates.io using debcargo 2.7.8
  * Actually include autopkgtest change (Closes: #1102251)


 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 14 Apr 2025 22:05:20 +0200

rust-sudo-rs (0.2.5-2) unstable; urgency=medium

  * Team upload.
  * Package sudo-rs 0.2.5 from crates.io using debcargo 2.7.8
  * Mark broken tests as flaky

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 14 Apr 2025 22:03:51 +0200

rust-sudo-rs (0.2.5-1) unstable; urgency=medium

  * Package sudo-rs 0.2.5 from crates.io using debcargo 2.7.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 4 Apr 2025 09:18:46 +0200

rust-sudo-rs (0.2.4-1) unstable; urgency=medium

  * Package sudo-rs 0.2.4 from crates.io using debcargo 2.7.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 25 Feb 2025 19:39:23 +0100

rust-sudo-rs (0.2.3-1) unstable; urgency=medium

  * Package sudo-rs 0.2.3 from crates.io using debcargo 2.6.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 19 Jul 2024 00:15:06 +0200

rust-sudo-rs (0.2.2-1) unstable; urgency=medium

  * Package sudo-rs 0.2.2 from crates.io using debcargo 2.6.1

  [ Blair Noctis ]
  * Team upload.
  * Package sudo-rs 0.2.1 from crates.io using debcargo 2.6.1
  * Cherry-pick upstream fix for size assert tests
  * Disable another test that runs too long

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Feb 2024 22:19:26 +0100

rust-sudo-rs (0.2.1-2) unstable; urgency=medium

  * Package sudo-rs 0.2.1 from crates.io using debcargo 2.6.1
  * add libpam-dev and procps to the build dep in autopkgtest
  * Create /etc/sudoers.d if it doesn't exist

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 12 Jan 2024 15:01:27 +0100

rust-sudo-rs (0.2.1-1) unstable; urgency=medium

  * Package sudo-rs 0.2.1 from crates.io using debcargo 2.6.0
  * Upload to unstable now that 1.70 is in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 25 Sep 2023 22:42:11 +0200

rust-sudo-rs (0.2.0-1) experimental; urgency=medium

  * Package sudo-rs 0.2.0 from crates.io using debcargo 2.6.0
    (Closes: #1036160)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Sep 2023 09:59:03 +0200
